package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :工位投料信息
 * @Reference :
 * @Author : Wynne.Lu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_WORK_CELL_MODULE_PARAM")
@Api("作业程序组件参数")
public class MesWorkCellModuleParam extends BaseBean implements Serializable {
    private static final long serialVersionUID = 4836155960343256982L;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("产线")
    private String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工位")
    private String workCellCode;

    @Column(name = "MODULE_CODE")
    @ApiParam("组件代码")
    private String moduleCode;

    @Column(name = "PARAM_CODE")
    @ApiParam("参数代码")
    private String paramCode;

    @Column(name = "PARAM_VALUE")
    @ApiParam("参数值")
    private String paramValue;

    @Column(name = "CALL_CLASS")
    @ApiParam("调用类")
    private String callClass;

}
